Package org.apache.groovy.contracts.domain

# Class Postcondition

java.lang.Object
org.apache.groovy.contracts.domain.Assertion<Postcondition>
org.apache.groovy.contracts.domain.Postcondition

public class Postcondition extends Assertion<Postcondition>

A post-condition assertion.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Postcondition()`
  `Postcondition(BlockStatement blockStatement, BooleanExpression booleanExpression, boolean isPartOfConstructor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isPartOfConstructor()`

  ### Methods inherited from class org.apache.groovy.contracts.domain.Assertion

  `and, booleanExpression, or, originalBlockStatement, renew`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Postcondition

    public Postcondition()

  - ### Postcondition

    public Postcondition(BlockStatement blockStatement, BooleanExpression booleanExpression, boolean isPartOfConstructor)

- ## Method Details

  - ### isPartOfConstructor

    public boolean isPartOfConstructor()